# Uses of Class co.aikar.commands.BaseCommand (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: BaseCommand

# Uses of Class
co.aikar.commands.BaseCommand

Packages that use BaseCommand
Package
Description
co.aikar.commands

## Uses of BaseCommand in co.aikar.commands

Subclasses of BaseCommand in co.aikar.commands
Modifier and Type
Class
Description
`class`
`ForwardingCommand`
Methods in co.aikar.commands that return BaseCommand
Modifier and Type
Method
Description
`default BaseCommand`
RootCommand.`execute(CommandIssuer sender, String commandLabel, String[] args)`
`BaseCommand`
CommandOperationContext.`getCommand()`
`default BaseCommand`
RootCommand.`getDefCommand()`
`BaseCommand`
BaseCommand.`setExceptionHandler(ExceptionHandler exceptionHandler)`
Methods in co.aikar.commands that return types with arguments of type BaseCommand
Modifier and Type
Method
Description
`List<BaseCommand>`
RootCommand.`getChildren()`
Methods in co.aikar.commands with parameters of type BaseCommand
Modifier and Type
Method
Description
`void`
RootCommand.`addChild(BaseCommand command)`
`default void`
RootCommand.`addChildShared(List<BaseCommand> children, com.google.common.collect.SetMultimap<String,RegisteredCommand> subCommands, BaseCommand command)`
`RegisteredCommand`
CommandManager.`createRegisteredCommand(BaseCommand command, String cmdName, Method method, String prefSubCommand)`
`boolean`
ExceptionHandler.`execute(BaseCommand command, RegisteredCommand registeredCommand, CommandIssuer sender, List<String> args, Throwable t)`
Called when an exception occurs while executing a command
If an exception handler properly handles an exception, the user will not be noticied by the framework that something went unexceptected.
`protected boolean`
CommandManager.`handleUncaughtException(BaseCommand scope, RegisteredCommand registeredCommand, CommandIssuer sender, List<String> args, Throwable t)`
`default void`
AnnotationProcessor.`onBaseCommandRegister(BaseCommand command, T annotation)`
Deprecated.
`abstract void`
CommandManager.`registerCommand(BaseCommand command)`
Registers a command with ACF
Method parameters in co.aikar.commands with type arguments of type BaseCommand
Modifier and Type
Method
Description
`default void`
RootCommand.`addChildShared(List<BaseCommand> children, com.google.common.collect.SetMultimap<String,RegisteredCommand> subCommands, BaseCommand command)`